AC_DEFUN([TH_CHECK_CURSES],
  [
   th_save_LIBS="$LIBS"
   CURSES_LIB=""
   AC_CACHE_CHECK([for working ncurses], th_cv_ncurses,
     [LIBS="$th_save_LIBS -lncurses"
      AC_TRY_LINK(
	[#include <ncurses.h>],
	[chtype a; int b=A_STANDOUT, c=KEY_LEFT; initscr(); ],
	th_cv_ncurses=yes, th_cv_ncurses=no)])
   if test "$th_cv_ncurses" = yes
   then
     AC_DEFINE(HAVE_CURSES_H)
     AC_DEFINE(HAVE_NCURSES_H)
     CURSES_LIB="-lncurses"
   fi
   if test x"$CURSES_LIB" = x
   then
     AC_CACHE_CHECK([for working curses], th_cv_curses,
       [LIBS="$th_save_LIBS -lcurses"
        AC_TRY_LINK(
          [#include <curses.h>],
          [chtype a; int b=A_STANDOUT, c=KEY_LEFT; initscr(); ],
          th_cv_curses=yes, th_cv_curses=no)])
     if test "$th_cv_curses" = yes
     then
       AC_DEFINE(HAVE_CURSES_H)
       CURSES_LIB="-lcurses"
     fi
   fi
   if test x"$CURSES_LIB" != x
   then
     AC_CACHE_CHECK([whether curses supports color], th_cv_curses_color,
       [LIBS="$th_save_LIBS $CURSES_LIB"
        AC_TRY_LINK(
          [#include <curses.h>],
          [initscr(); has_colors();],
          th_cv_curses_color=yes, th_cv_curses_color=no)])
     if test "$th_cv_curses_color" = yes
     then
       AC_DEFINE(HAVE_CURSES_COLOR)
     fi
   fi
   if test x"$CURSES_LIB" != x
   then
     AC_CACHE_CHECK([whether curses supports terminal resizing], th_cv_curses_resize,
       [LIBS="$th_save_LIBS $CURSES_LIB"
        AC_TRY_LINK(
          [#include <curses.h>],
          [initscr(); resizeterm(LINES, COLS); wresize(stdscr, LINES, COLS);],
          th_cv_curses_resize=yes, th_cv_curses_resize=no)])
     if test "$th_cv_curses_resize" = yes
     then
       AC_DEFINE(HAVE_CURSES_RESIZE)
     fi
   fi
   LIBS="$th_save_LIBS"
])dnl


# Checks we can find inn binaries and uses innconfval to work out 
# some locations if so
AC_DEFUN([TH_CHECK_INN],
 [
  TH_SAVE_PATH=$PATH
  PATH=$PATH:/usr/local/news/bin:/usr/lib/news/bin:/var/lib/news/bin
  AC_MSG_CHECKING([for inn binaries])
  if innconfval -v > /dev/null 2>/dev/null
  then
      AC_MSG_RESULT([yes])
      echo `innconfval -s | grep PATHBIN | sed -e 's/PATHBIN/NEWS_PATH/; s/;.*//'`
      eval `innconfval -s | grep PATHBIN | sed -e 's/PATHBIN/NEWS_PATH/; s/;.*//'`
      if test x$OUTGOING_DIR = "x"
      then
	  eval `innconfval -s | grep PATHOUTGOING | sed -e 's/PATHOUTGOING/OUTGOING_DIR/; s/;.*//'`
      fi
      if test x$ARTICLES_DIR = "x"
      then
	  eval `innconfval -s | grep PATHARTICLES | sed -e 's/PATHARTICLES/ARTICLES_DIR/; s/;.*//'`
      fi
      if test x$ACTIVE_FILE = "x"
      then
	  eval `innconfval -s | grep PATHDB | sed -e 's/PATHDB/ACTIVE_FILE/; s/;.*/\/active/'`
      fi
  else
      AC_MSG_RESULT([no])
      if test x$OUTGOING_DIR = "x"
      then
	  OUTGOING_DIR=$SPOOL_DIR/outgoing
      fi
      if test x$ARTICLES_DIR = "x"
      then
	  ARTICLES_DIR=$SPOOL_DIR/articles
      fi
      if test x$ACTIVE_FILE = "x"
      then
	  ACTIVE_FILE=/var/lib/news/active
      fi
  fi
  PATH=$TH_SAVE_PATH
])dnl
