#!/usr/bin/perl -w

# html2txt.pl [-n] input output

# Takes the input file and uses links to convert it to text, saved as output
# file.  If the first parameter is -n it outputs just the News section,
# otherwise everything but the News section.

if ($ARGV[0] eq "-n")
{
    $news = 1;
    shift;
} else {
    $news = 0;
}

$tmpfile1 = "$ARGV[1]-tmp.html";
$tmpfile = "$ARGV[1].tmp";

# First convert headings to upper-case
open INFILE, "<$ARGV[0]" or die "Can't read $ARGV[0]";
open OUTFILE, ">$tmpfile1" or die "Can't write to $tmpfile1";
while (<INFILE>)
{
    if (/^<h[1-4]>/)
    {
	y/a-z/A-Z/;
	chomp;
    }
    print OUTFILE $_;
}
close(INFILE);
close(OUTFILE);

system("links -dump $tmpfile1 > $tmpfile");
unlink($tmpfile1);

$write = ! $news;
open INFILE, "<$tmpfile" or die "Can't read $tmpfile";
open OUTFILE, ">$ARGV[1]" or die "Can't write to $ARGV[1]";

while (<INFILE>)
{
    # Toggle writing during News section
    if (/^NEWS$/ || /^OBTAINING NEWSSTAR$/)
    {
	$write = ! $write;
    }
    # Separate entries in NEWS file
    if ($write && $news && /^\s*\* /)
    {
	print OUTFILE "\n";
    }
    if ($write && ! /^\s*\* News$/)
    {
	print OUTFILE $_;
    }
}

close INFILE;
close OUTFILE;
unlink $tmpfile;
