/* Child's representation of itself */

/* $Id: child.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef CHILD_H
#define CHILD_H

#ifndef COMMON_H
#include "common.h"
#endif

#ifndef INTERCOM_H 
#include "intercom.h"
#endif

#ifndef PIPELINE_DEPTH
#define PIPELINE_DEPTH 4
#elif (PIPELINE_DEPTH < 1)
#undef PIPELINE_DEPTH
#define PIPELINE_DEPTH 1
#endif

struct ChildData {
    rw_buf *in_buf;		/* For reading messages to us */
    Intercom *intercom;
    rw_buf *out_buf;		/* For sending messages to parent */
    int thread_idx;
    rw_buf *sbuf;		/* For NNTP socket */
    BOOL auth, mode_reader;
    int pipeline_depth;
    char *path;
    BOOL path_done;
    BOOL pipeline;
    long int group_ix[PIPELINE_DEPTH];
    long int artnum[PIPELINE_DEPTH];
};

#define CHILD_NULL {NULL,NULL,NULL,0,NULL,FALSE,FALSE,0,NULL,FALSE,TRUE,{0},{0}}

void child_start(int thread_idx, int in_fd, int out_fd);

/* Declared so rw can send stats */
void child_send_command(intercom_Command code, const char *data, ...);

#endif /* CHILD_H */
