/* Message-IDs are stored in a number of binary trees, hashed by their 1st
 * character */

/* $Id: hashtree.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef HASHTREE_H 
#define HASHTREE_H

#ifndef DEFNS_H
#include "defns.h"
#endif

/* msgid strings always include <> */

typedef enum {
    msgid_Virginal,
    msgid_BeingFetched,
    msgid_Fetched
} msgid_Status;

typedef struct MsgIdNode MsgIdNode;

struct MsgIdNode {
    MsgIdNode *prev;
    MsgIdNode *next;
    msgid_Status status;
    char *msgid;
};

struct HashTree {
    MsgIdNode *hash[96];
};

HashTree *hashtree_new(void);

/* These structures are never deleted */

/* Returns NULL if not found */
MsgIdNode *hashtree_lookup(HashTree *, const char *msgid);

/* Adds a virginal (subject to not already being added) message */
MsgIdNode *hashtree_add(HashTree *, const char *msgid);

void hashtree_change_status(MsgIdNode *, msgid_Status);

/* In practice we only use one HashTree */
extern HashTree *the_hashtree;

#endif /* HASHTREE_H */
