#include "common.h"

#include "histcheck.h"
#include "history.h"
#include "local.h"
#include "nntp.h"
#include "parserc.h"

static BOOL histcheck_implementation(const char *msgid)
{
    const char *response;

    if (rw_writef(local_buf, N_("CHECK %s\r\n"), msgid) <= 0)
    {
	deblog_error(_("Can't check history: socket error\n"));
    }
    response = rw_read_line(local_buf);
    if (!response || (response[0] != '2' && response[0] != '4'))
    {
	deblog_error(N_("Bad response to CHECK: %s\n"),
		response ? response : _("no response from server"));
    }
    return response[0] == '4';
}

void histcheck_init(void)
{
    local_init();
    history_register_implementation(histcheck_implementation);
}

