/* Abstraction for checking whether Message-IDs are already present on local
 * server */

/* $Id: history.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef HISTORY_H 
#define HISTORY_H 

#ifndef DEFNS_H
#include "defns.h"
#endif

/* Returns TRUE if message exists. Actually forwards to a function provided by
 * one of a number of implementations */
BOOL history_check(const char *msgid);


/* For implementations to register their services. Each implementation should
 * register any options they need in main.cf first, then whichever is in use
 * should be called to initialise itself, set any exit handler it needs, and
 * call history_register_implementation */

/* A function to actually perform checks */
typedef BOOL (*history_check_hook)(const char *msgid);

/* Call to register above */
void history_register_implementation(history_check_hook);

#endif /* HISTORY_H */
