/* Child processes as seen by the parent */

/* $Id: kiddy.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef KIDDY_H
#define KIDDY_H

#ifndef COMMON_H
#include "common.h"
#endif

struct KiddyData {
    NSThread *thread;		/* Thread curently assigned to it */
    rw_buf *buf;		/* For sending messages to child */
    pid_t pid;
    int thread_idx;
};

/* Find a process which is available (or return NULL) */
KiddyData *kiddy_get_available(void);

/* Spawn all child processes at start */
void kiddy_spawn_all(void);

/* Get next command from queue sent by children */
const intercom_data *kiddy_get_command(void);

void kiddy_detach_thread(KiddyData *);

#endif /* kiddy_H */
