/* For communicating with NNTP server */

/* $Id: nntp.h,v 2.1 2001/09/16 21:24:00 tony Exp $ */

#ifndef NNTP_H 
#define NNTP_H

#ifndef RW_H
#include "rw.h"
#endif

/* Not strictly NNTP, but... Returns address in dotquad notation or NULL */
char *nntp_resolve_address(const char *name);

/* Returns response or NULL if problem. message should contain %s for response,
 * but no trailing \n or : . allow contains each character allowed at start of
 * response eg "23" */
const char *nntp_check_response(rw_buf *, const char *message, const char
	*allow);

/* Returns buffered socket */
rw_buf *nntp_connect(const char *dotquad, int port, int thread_idx);

/* Returns TRUE if there's a problem */
BOOL nntp_authenticate(rw_buf *, const char *user, const char *passwd);

/* Returns TRUE if there's a problem; mode is "STREAM" or "READER" */
BOOL nntp_set_mode(rw_buf *, const char *mode);

/* Returns TRUE if there's a problem, otherwise fills in first and last
 * available article numbers (both must be non-NULL for either to be filled in
 */
BOOL nntp_enter_group(rw_buf *, const char *groupname, long int *first, long
	int *last);

#endif /* NNTP_H */
