/* A logical thread as seen by the parent process */

/* $Id: nsthread.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef NSTHREAD_H
#define NSTHREAD_H

#ifndef DEFNS_H
#include "defns.h"
#endif
#ifndef INTERCOM_H
#include "intercom.h"
#endif

struct NSThread {
    KiddyData *kiddy;
    ServerData *serv;
    int thread_idx;
    BOOL upload_first;	/* Whether outgoing articles should be uploaded before
			   downloading incoming ones */
};

/* Creates a new thread, finds a kiddy to run it on, connects and logs in etc,
 * returns NULL if all available threads are in use. */
NSThread *nsthread_new(ServerData *serv, BOOL upload_first);

void nsthread_delete(NSThread *);

/* Returns struct ptr associated with an index */
NSThread *nsthread_lookup(int thread_idx);

void nsthread_send_command(NSThread *thread, intercom_Command code, const char
	*data, ...);

#endif /* NSTHREAD_H */
