/* Prints info about how many articles have been downloaded etc */

/* $Id: stats.h,v 2.0 2001/07/26 16:35:12 tony Exp $ */

#ifndef STATS_H 
#define STATS_H

#include <sys/time.h>

/* Reads time at start for summary calculation */
void stats_start(void);

/* Increment record of how many articles are to be downloaded (starts at 0) */
void stats_inc_total_to_fetch(void);

/* Decrement number to be downloaded (when we find a x-post or duplicate) */
void stats_dec_total_to_fetch(void);

/* Increment record of how many articles have been downloaded (starts at 0) */
void stats_inc_fetched(void);

/* Force stats to be displayed */
void stats_display(void);

/* Display summary of all stats at end */
void stats_summary(void);

/* Keep stats (display) updated with how many bytes have been received or sent
 */
void stats_update_bytes_rcvd(long int bytes, const struct timeval *tv);
void stats_update_bytes_sent(long int bytes, const struct timeval *tv);

/* Update counts of articles skipped because they've already been downloaded by
 * this session or are already present on server respectively */
void stats_inc_current_dups(void);
void stats_inc_history_dups(void);

/* Upload stats */
void stats_inc_total_to_upload(void);
void stats_dec_total_to_upload(void);
void stats_inc_uploaded(void);
void stats_inc_duplicates(void);
void stats_inc_bad_uploads(void);

#endif /* STATS_H */
